--Удаляем записи с некорректными значениями
DELETE FROM [AKUZ].[T_ONK_PATIENT_YEAR_CONDITION]
WHERE [Year] IS NULL 
   OR [Year] = '' 
   OR ISNUMERIC([Year]) = 0 
   OR [Year] LIKE '%[^0-9]%';

-- Меняем тип колонки на int
ALTER TABLE [AKUZ].[T_ONK_PATIENT_YEAR_CONDITION]
ALTER COLUMN [Year] int NOT NULL;